---
title: RTCRtpTransceiver.currentDirection
slug: Web/API/RTCRtpTransceiver/currentDirection
tags:
  - API
  - Media
  - Property
  - RTCRtpTransceiver
  - RTP
  - Read-only
  - Reference
  - Transceiver
  - WebRTC
  - currentDirection
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The read-only {{domxref("RTCRtpTransceiver")}} property <code><strong>currentDirection</strong></code> is a string which indicates the current directionality of the transceiver.</span> Its value is one of the strings defined by the {{domxref("RTCRtpTransceiverDirection")}} enumeration.</p>

<p>You can examine and set the transceiver's preferred directionality using {{domxref("RTCRtpTransceiver.direction", "direction")}} property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>direction</em> = <em>RTCRtpTransceiver</em>.currentDirection</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} whose value is one of the strings which are a member of the <code>RTCRtpTransceiverDirection</code> enumerated type. {{page("/en-US/docs/Web/API/RTCRtpTransceiverDirection", "Values")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcrtptransceiver-currentdirection", "RTCRtpTransceiver.currentDirection")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCRtpTransceiver.currentDirection")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("RTCRtpTransceiver.direction")}}</li>
</ul>
